Skip to main content
GET
https://app.famulor.de
/
api
/
user
/
knowledgebases
/
{id}
curl -X GET "https://app.famulor.de/api/user/knowledgebases/1" \
     -H "Authorization: Bearer YOUR_API_KEY" \
     -H "Content-Type: application/json"
{
  "data": {
    "id": 1,
    "name": "Product Documentation",
    "description": "Technical documentation for our products",
    "status": "active",
    "status_label": "Active",
    "documents_count": 5,
    "assistants_count": 2,
    "created_at": "2025-01-05T10:30:00.000000Z",
    "updated_at": "2025-01-08T14:20:00.000000Z"
  }
}
This endpoint returns the details of a specific knowledge base.

Path Parameters

id
integer
required
The unique identifier of the knowledge base

Response Fields

data
object
The knowledge base object
curl -X GET "https://app.famulor.de/api/user/knowledgebases/1" \
     -H "Authorization: Bearer YOUR_API_KEY" \
     -H "Content-Type: application/json"
{
  "data": {
    "id": 1,
    "name": "Product Documentation",
    "description": "Technical documentation for our products",
    "status": "active",
    "status_label": "Active",
    "documents_count": 5,
    "assistants_count": 2,
    "created_at": "2025-01-05T10:30:00.000000Z",
    "updated_at": "2025-01-08T14:20:00.000000Z"
  }
}